Section "ServerLayout"
	Identifier     "X.org Configured"
	Screen         0  "Screen0" 0 0
	InputDevice    "Mouse0"
	InputDevice    "Synaptics Touchpad"
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "ServerFlags"
	# Don't fuck with ctrl+alt+backspace
	Option       "DontZap"         "true"
	Option       "AllowEmptyInput" "False"
EndSection

Section "Files"
	#RgbPath      "/System/Links/Shared/X11/rgb"
	mODULEpAth   "/System/Links/Libraries/xorg/modules"
	FontPath     "/Files/Fonts/Misc/"
	FontPath     "/Files/Fonts/CID"
	FontPath     "/Files/Fonts/Console"
	FontPath     "/Files/Fonts/Cyrillic"
	FontPath     "/Files/Fonts/OpenType"
	FontPath     "/Files/Fonts/TrueType/"
	FontPath     "/Files/Fonts/Type1/"
	FontPath     "/Files/Fonts/100dpi/"
	FontPath     "/Files/Fonts/75dpi/"
EndSection

Section "Module"
	Load  "GLcore"
	Load  "dbe"
	Load  "dri"
	Load  "dri2"
	Load  "extmod"
	Load  "glx"
#	Load  "fb"
#	Load  "exa"
	Load  "record"
#	Load  "xtrap"
	Load  "freetype"
	Load  "type1"
	Load  "synaptics"
EndSection

Section "DRI"
    Mode  0666
EndSection

Section "Extensions"
    Option "Composite" "enable"
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	### Driver      "kbd"
    Driver      "evdev"
    Option      "Device"         "/System/Kernel/Devices/input/event2"
    #Option      "SendCoreEvents"
    Option      "XkbModel"   "pc105"
    Option      "XkbLayout"  "us"
    Option      "XkbVariant" "alt-intl"
	Option      "XkbOptions" "lv3:rwin_switch,apple:bada"
EndSection

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option	    "Protocol" "auto"
	Option	    "Device" "/dev/input/mice"
	Option	    "ZAxisMapping" "4 5 6 7"
EndSection

Section "InputDevice"
    # updated 2007-12-07
    # use command "synclient -m 1" to see raw output
    # common stuff
    Identifier      "Synaptics Touchpad"
    Driver          "synaptics"
    #Option          "CorePointer"
    Option          "SendCoreEvents"        "True"
    Option          "Device"                "/dev/psaux"
    Option          "Protocol"              "auto-dev"

    # not using edge scrolling
    Option          "HorizEdgeScroll"       "0"
    Option          "VertEdgeScroll"        "0"
    
    # use two finger scrolling
    Option          "VertTwoFingerScroll"   "1"
    Option          "HorizTwoFingerScroll"  "1" # set to 0 if you don't want horizontal scrolling
    
    # scroll speed, lower is faster
    Option          "HorizScrollDelta"      "250"
    Option          "VertScrollDelta"       "30"

    # minimum and maximum pressure motion factor
    Option          "PressureMotionMinZ"    "1"
    Option          "PressureMotionMaxZ"    "40"

    # touch and untouch thresholds, higher numbers if you like to push hard
    Option          "FingerLow"             "10"
    Option          "FingerHigh"            "20" # change to 30 or 40 if you like
	Option          "FingerPress"           "10"
	Option          "TrackstickSpeed"       "0"

    # borders based on output from synclient
    Option          "LeftEdge"              "20"
    Option          "RightEdge"             "1200"
    Option          "TopEdge"               "20"
    Option          "BottomEdge"            "370"

    # speeds, smaller number for a slower mouse
    Option          "MinSpeed"              "0.5" # 0.5 is very slow, 1.5 is very fast
    Option          "MaxSpeed"              "0.7" # up to 1.5 works ok
    Option          "AccelFactor"           "0.10"

    # tap times, change to suit your tapping habits
    Option          "MaxTapMove"            "10"
    Option          "MaxTapTime"            "100"
    Option          "MaxDoubleTapTime"      "200"
    
    # don't change these or two finger tap stops working
    Option          "TapButton2"            "3"
    Option          "TapButton3"            "2"

    # must be commented out or normal tapping wont work
    Option         "TapButton1"             "0"

	# maximum time on which two finger tap detection should be detected
	#Option          "EmulateMidButtonTime"  "100"
	Option          "EmulateMidButtonTime"  "170"

    # needed for disabled while typing fix  
    Option          "SHMConfig"             "on"
EndSection

Section "Monitor"
	Identifier   "LVDS"
	VendorName   "APP"
	ModelName    "9c5f"
EndSection

Section "Monitor"
	Identifier   "TMDS-1"
	VendorName   "APP"
	ModelName    "9c5f"
EndSection

Section "Device"
    ### Available Driver options are:-
    ### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
    ### <string>: "String", <freq>: "<f> Hz/kHz/MHz"
    ### [arg]: arg optional
    ###Option      "NoAccel"            	"false"
    #Option     "SWcursor"           	# [<bool>]
    #Option     "ColorKey"           	# <i>
    #Option     "CacheLines"         	# <i>
    #Option     "Dac6Bit"            	# [<bool>]
    ###Option      "DRI"                	"false"
    #Option     "NoDDC"              	# [<bool>]
    #Option     "ShowCache"          	# [<bool>]
    #Option     "XvMCSurfaces"       	# <i>
    #Option     "PageFlip"           	# [<bool>]
	###Option      "FramebufferCompression"  "false"
	###Option      "Tiling"                  "true"
	Identifier  "Card0"
	Driver      "intel"
	#Driver      "fbdev"
	VendorName  "Intel Corporation"
	BoardName   "Mobile Integrated Graphics Controller"
	BusID       "PCI:0:2:0"
    Option      "AccelMethod"           "uxa"
    Option      "EXAOptimizeMigration"  "true"
    Option      "MigrationHeuristic"    "greedy"
    Option      "Tiling"                "true" # i8xx users: see note in guide
    Option      "Shadow"                "false" # might lead to GPU lockups
EndSection

Section "Screen"
	DefaultDepth 24
	Identifier "Screen0"
	Device     "Card0"
	Monitor    "LVDS"
	SubSection "Display"
		Depth     24
        Modes     "1280x800" "1152x720" "1024x768"
		Virtual    2960 1050
		#Virtual   2560 1600
		#Virtual   2560 1050
		#Virtual   2048 1400
	EndSubSection
EndSection

Section "Screen"
	DefaultDepth 24
	Identifier "Screen1"
	Device     "Card0"
	Monitor    "TMDS-1"
	SubSection "Display"
		Depth     24
        Modes     "1280x800" "1152x720" "1024x768"
		Virtual   2960 1050
		#Virtual   2560 1050
		#Virtual   2048 1400
	EndSubSection
EndSection
